.brand-name {
    white-space: normal;
    text-align: center;
    align-self: center;
    cursor: pointer;
    padding: 15px;
}

img.nav-menu-img {
    width: 40px;
    height: 40px;
    position: relative;
}

button.nav-menu-list {
    width: 40px;
    height: 40px;
    margin: 0px;
    outline: none;
    background: transparent;
    border: none;
    padding: 0px;
    margin-top: 10px;
}

li {
    font-size: 14px;
}

.navigation-container {
    width: calc(100% - 170px);
    position: absolute;
    margin-left: 170px;
    float: right;
    clear: both;
    right: 0;
}

.container {
    margin: 0px;
    width: 100%;
    max-width: 100%;
    display: inline-flex;
    padding: 10px;
}

html {
    font-size: 14px;
}
@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.box-shadow {
    box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.05);
}

li.change-language {
    width: 100px;
    height: auto;
}

input.change-language-checkbox {
    width: 80px;
    height: 39px;
    border-radius: 20px;
    box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.05);
    border: 1px solid gray;
    margin-top: 10%;
    appearance: none;
}

input.change-language-checkbox:focus {
    outline: 0;
}

input[class="change-language-checkbox"]:before {
    content: "";
    background: #78c7d2;
    width: 40px;
    height: 37px;
    display: flex;
    border-radius: 20px;
    position: relative;
    border: 1px solid gray;
    background-image: url(src\assets\united-kingdom.png);
    background-size: cover;
    -webkit-animation-name: slideToUnCheked;
    -webkit-animation-duration: 0.8s;
    animation-name: slideToUnCheked;
    animation-duration: 0.8s;
}

input:checked[class="change-language-checkbox"]:before {
    content: "";
    left: 40px;
    background-image: url(src\assets\ukraine.png);
    background-size: cover;
    -webkit-animation-name: slideToCheked;
    -webkit-animation-duration: 0.8s;
    animation-name: slideToCheked;
    animation-duration: 0.8s;
}

ul.left-list {
    list-style: none;
    flex-direction: row;
    display: inline-flex;
    float: left;
    position: relative;
    padding: 0px;
    margin-bottom: 0rem;
}

ul.rigth-list {
    list-style: none;
    display: inline-flex;
    flex-direction: row;
    position: relative;
    float: right;
    padding: 0px;
    margin-bottom: 0rem;
}

li.nav-item::before,
li.nav-item::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 4px;
    background-color: black;
    left: 0;
    transform: scaleX(0);
    transition: all 0.5s;
}

li.nav-item.link-active::before,
li.nav-item.link-active::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 4px;
    background-color: black;
    left: 0;
    transform: none;
    transition: none;
}

a#about-nav-item {
    width: inherit;
}

li.nav-item,
li.search-item,
li.cart-item {
    padding: 1rem 0;
    position: relative;
    letter-spacing: 2px;
    width: max-content;
}

li.nav-item::before {
    top: 0;
    transform-origin: left;
}

li.nav-item::after {
    bottom: 0;
    transform-origin: right;
}

li.nav-item:hover::before,
li.nav-item:hover::after {
    transform: scaleX(1);
}

.nav-link {
    cursor: pointer;
}

img.cart-img {
    width: 30px;
    height: 30px;
    background: transparent;
    cursor: pointer;
}

img.logout-image {
    width: 20px;
}

div#user-container {
    height: 100%;
    padding: 15px;
}

li.current-user {
    display: inline-flex;
}

label.user-label {
    margin: 0px 10px;
}

button.logout-btn {
    background: transparent;
    outline: none;
    border: none;
}

img.user-img {
    cursor: pointer;
    width: 25px;
    margin: 20px;
}

@keyframes slideToUnCheked {
    from {
        left: 40px;
        background-image: url(src\assets\ukraine.png);
        background-size: cover;
    }
    to {
        left: 0px;
        background-image: url(src\assets\united-kingdom.png);
        background-size: cover;
    }
}

@-webkit-keyframes slideToUnCheked {
    from {
        left: 0px;
        background-image: url(src\assets\ukraine.png);
        background-size: cover;
    }
    to {
        left: 40px;
        background-image: url(src\assets\united-kingdom.png);
        background-size: cover;
    }
}

@keyframes slideToCheked {
    from {
        left: 0px;
        background-image: url(src\assets\united-kingdom.png);
        background-size: cover;
    }
    to {
        left: 40px;
        background-image: url(src\assets\ukraine.png);
        background-size: cover;
    }
}

@-webkit-keyframes slideToCheked {
    from {
        left: 0px;
        background-image: url(src\assets\united-kingdom.png);
        background-size: cover;
    }
    to {
        left: 40px;
        background-image: url(src\assets\ukraine.png);
        background-size: cover;
    }
}
